import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtQuick.Shapes

import "../../components"

import Artix.Gui
import Artix.Models

/**
 * @brief Список примененных оплат
 * @param document документ
 */
ListView {
    id: root
    clip: true
    spacing: 8

    property var document

    model: PaymentModel { id: paymentModel }
    onDocumentChanged: paymentModel.document = document
    delegate: ColumnLayout {
        width: root.width
        height: 20
        RowLayout {
            BasicLabel {
                Layout.preferredHeight: 20
                Style.class: "paymentsListName"
                text: name
            }
            Line {
                Layout.alignment: Qt.AlignBottom
                Layout.bottomMargin: 5
                Layout.fillWidth: true
                strokeStyle: ShapePath.DashLine
                dashPattern: [2, 3]
                color: Style.parameter("color.gray")
            }
            BasicLabel {
                Layout.preferredHeight: 20
                Layout.rightMargin: paymentModel.rowCount() > 2 ? 10 : 0
                Style.class: "paymentsListAmount"
                text: amount
            }
        }
    }
    ScrollBar.vertical: ScrollBar {
        policy: model.rowCount() > 2 ? ScrollBar.AlwaysOn : ScrollBar.AlwaysOff
        id: scrollBar
        Timer {
            id: scrollTimer
            interval: 2500
            onTriggered: parent.active = false
        }
        onActiveChanged: scrollTimer.start()
    }
}
