import QtQuick
import QtQuick.Layouts

import "../../components"

import Artix.Core
import Artix.Gui

/**
 * @brief Шапка списка позиций
 */
GroupBox {
    Layout.fillWidth: true
    Layout.preferredHeight: 56
    property int positionsCount: 0
    function updateDocumentLabel(docInfo) {
        if (docInfo.docNameTr) {
            docLabel.tr = docInfo.docNameTr
            docLabel.args = [ Session.document.num ]
        }
    }
    padding: 24
    contentItem: RowLayout {
        spacing: 0
        BasicLabel {
            Style.class: "positionsListHeader"
            Tr { id: docLabel }
        }
        Item { Layout.preferredWidth: 16 }
        Image {
            fillMode: Image.PreserveAspectFit
            source: Style.parameter("icon.buy")
            Layout.preferredHeight: 16
            Layout.preferredWidth: 16
        }
        Item { Layout.preferredWidth: 4 }
        BasicLabel {
            Style.class: "positionsListHeader"
            text: positionsCount
        }
        Item { Layout.fillWidth: true }
    }
    Line {
        y: parent.height - 1
        width: parent.width
        strokeWidth: 1
        color: Style.parameter("color.grayMedium")
    }
}
